public class Sinus {

/////////////////////////////////////////////////

/* Calcul du sinus d'un angle en degres        */

  static double sinus(double angle) {
    double sn;
    sn = Math.sin(angle*Math.PI/180.0);
    return sn;
  }
  
/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    double angle;
    double sn;
    Ecran.afficher("SVP, angle : ");
    angle = Clavier.saisirDouble();
    sn = sinus(angle);   
    Ecran.afficherln("sin(",angle,") = ",sn);
  }
}